/*
 * Copyright (C) 2010-2013 jeanfi@gmail.com
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA
 */

#ifndef _TTRSS_MODEL_WS_H_
#define _TTRSS_MODEL_WS_H_

#include "ttrss.h"

void ws_init();
void ws_set_config(const char *url, const char *user, const char *pwd);
int ws_open_session();

struct json_object *ws_request_new(const char *op);
struct json_object *ws_execute(struct json_object *rq);

struct feed **ws_update_feeds(struct feed **feeds);
int ws_update_headlines(struct feed *feed);
char *ws_get_article_content(int id);
void ws_set_article_unread(int id, int unread);

struct json_object *ws_request_new_set_article_unread(int id, int unread);
struct json_object *ws_request_new_get_article_content(int id);
const char *ws_reply_get_article_content(struct json_object *);

#endif
